package com.zm.order.tool.server.hintnew;

import com.zm.order.tool.server.model.OrderPayDetails;
import com.zm.order.tool.server.query.OrderQuery;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @Author 陈标
 * @Date 2020/3/25 14:57
 */
@Repository
public interface NewHintOrderPayDetailsDao {


    /**
     * 扫描
     * @param query
     * @return:
     * @Date: 2020/12/21 5:06 PM
     */
    List<OrderPayDetails> scan(OrderQuery query);

    int updateBizType(@Param("bizType") Integer bizType, @Param("orderNoList") List<String> orderNoList);

    List<OrderPayDetails> selectIdList(OrderQuery query);

    List<OrderPayDetails> selectListById(List<Long> list);

    List<OrderPayDetails> selectRespById(List<Long> list);

    void delete(List<Long> list);

    void replaceList(List<OrderPayDetails> list);

    void update(OrderPayDetails o);

    int count();

}
